//raul taranu

public class AlphaBetaSearch
{
	public static final int MIN = 0;
	public static final int MAX = 1;
    public AlphaBetaSearch(int d) 
	{
    	limit = d;
    }
    
    public int minimaxAB(Board state, int player, int depth, int alpha, int beta)
    {
    	Board next;
    	int val;
    	if (depth == limit || !state.noLoser())
    	{
    		if (depth % 2 == 0)
    		{
    			return state.utility();
    		}
    		else 
    		{
    			return -state.utility();
    		}
    	}
    	state.updateSuccessors();
    	SuccessorsList successors = state.getSuccessors();
    	MovesList moves = new MovesList(Board.MAX_SUCC);
    	for (int aSucc = 0; aSucc < successors.getNumSuccessors(); aSucc++)
	    {
	    	Successor currentSucc = successors.getSuccessor(aSucc);
	    	moves.addMove(new Move(currentSucc.getFrom(), currentSucc.getTo()));
	    }
    	if (player == MIN)
    	{
    		int count = 0;
    		while (moves.getNumMoves() > count && !(alpha > beta))
			{
    		    next = new Board(state);
    		    next.movePiece(moves.getMove(count));
    			count++;
    	    	val = minimaxAB(next, MAX, depth+1, alpha, beta);
                if (val < beta)
                	beta = val;
			}
    		return beta;
    	}
    	else // (player == MAX)
        {
    		int count = 0;
    		while (moves.getNumMoves() > count && !(alpha > beta))
			{
    			next = new Board(state);
    		    next.movePiece(moves.getMove(count));
    			count++;
    			val = minimaxAB(next, MIN, depth+1, alpha, beta);
			    if (val > alpha)
			    	alpha = val;
			}
			return alpha;
        }
    }
    // instance variables
    private int limit;
}