import javax.swing.*;
import java.awt.event.*;

class ControlPanel extends JPanel implements ActionListener
{
	public ControlPanel(Chess gm)
	{
		super();
		this.gm = gm;
	}
	
	public void addControlButtons()
	{
		JButton runGame = new JButton("Run Game");
		JButton stopGame = new JButton("Stop Game");
		runGame.addActionListener(this);
		stopGame.addActionListener(this);
		add(runGame);
		add(stopGame);
	}
	
	public void actionPerformed (ActionEvent e)
	{
		PositionButton pb = (PositionButton)(e.getSource());
		//pb.setEnabled(false);
		gm.killThread();
	}
			
	private Chess gm;
}