// raul taranu

class Move
{
	//constructor
	public Move(Position from, Position to)
	{
		this.from = from;
		this.to = to;
	}

	//accessors

	public Position getFrom() { return from; }
	public Position getTo()   { return to;   }

	public boolean pawnForwardTwo(Board board)
	{
		if (board.getPiece(getTo()).getRank() == Piece.PAWN)
		{
			if (getFrom().getRow() == 2 && getTo().getRow() == 4)
				return true;
			else if (getFrom().getRow() == 7 && getTo().getRow() == 5)
				return true;
		}
		return false;
	}
	public boolean equals(Move aMove)
	{
		if (aMove.getFrom().equals(this.getFrom()) && aMove.getTo().equals(this.getTo()))
			return true;
		else
			return false;
	}
	
	public void display()
	{
		System.out.print("Move is from ");
		from.display();
		System.out.print("to ");
		to.display();
		System.out.print("\n");
	}
	//instance variables
	private Position from;
	private Position to;
}