// raul taranu

class MovesList
{
	//constructor
	public MovesList(int maxMoves)
	{
		moves = new Move[maxMoves];
		numMoves = 0;
	}

	//accessors
	public boolean isEmpty()
	{
		return (getNumMoves() == 0);
	}

	public int getNumMoves()
	{
		return numMoves;
	}

	public Move getMove(int moveNumber)
	{
		return moves[moveNumber];
	}

	public boolean member(Move move)
	{
		for (int aMove = 0; aMove < getNumMoves(); aMove++)
		{
			if (getMove(aMove).equals(move))
				return true;
		}
		return false;
	}

	public void display()
	{
		for (int aMove = 0; aMove < getNumMoves(); aMove++)
		{
			getMove(aMove).display();
		}
	}
	
	//mutators
	public void incrementNumMoves()
	{
		numMoves++;
	}

	public void addMove(Move aMove)
	{
		moves[getNumMoves()] = aMove;
		incrementNumMoves();
	}

	//instance variables
	private Move[] moves;
	private int numMoves;
}