//raul taranu

class NetworkPlayer extends Player
{
	//constructor
	public NetworkPlayer(String name)
	{
		super(name);
	}
	
	private boolean validFrom(Board board, Position from)
	{
		if (from.getCol() == 0 || from.getRow() == 0)
			return false;
		else if (board.getPiece(from) == null || board.getPiece(from).getColor() != board.nextMove())
			return false;
		else
			return true;
	}
	
	private boolean validMove(Position from, Position to)
	{
		if (from.equals(to))
			return false;
		else
			return true;
	}
	
	public Board makeMove(Board board, Chess gm)
	{
		Position from;
		Position to;
		do
			from = gm.waitForNetPos();
		while (!validFrom(board, from));
		do
			to = gm.waitForNetPos();
		while (!validMove(from, to));
		
		board.movePiece(from, to);
		return board;
	}

	//instance variables
}