// raul taranu

class PositionsList
{
	//constructor
	public PositionsList(int maxPositions)
	{
		positions = new Position[maxPositions];
		numPositions = 0;
	}

	//accessors
	public boolean isEmpty()
	{
		return (getNumPositions() == 0);
	}

	public int getNumPositions()
	{
		return numPositions;
	}

	public Position getPosition(int posNumber)
	{
		return positions[posNumber];
	}

	public boolean member(Position position)
	{
		for (int aPos = 0; aPos < getNumPositions(); aPos++)
		{
			if (getPosition(aPos).equals(position))
				return true;
		}
		return false;
	}

	//output
	public void display()
	{
		for (int aPos = 0; aPos < getNumPositions(); aPos++)
		{
			getPosition(aPos).display();
			System.out.print("\n");
		}
	}

	//mutators
	public void incrementNumPositions()
	{
		numPositions++;
	}

	public void addPosition(Position aPosition)
	{
		positions[getNumPositions()] = aPosition;
		incrementNumPositions();
	}

	//instance variables
	private Position[] positions;

	private int numPositions;
}