//raul taranu

class Knight extends Piece
{
	//constructor
	public Knight(int color)
	{	
		super(color, Piece.KNIGHT);
	}
	
	//accessors
	public void display()
	{
		switch (getColor())
		{
			case WHITE: System.out.print("White Knight ");break;
			case BLACK: System.out.print("Black Knight ");break;
		}
	}
	
	public PositionsList getAttackedPositions(Board board, Position startingPos)
	{
		PositionsList attacked = new PositionsList(Piece.MAX_MOVES);
		Position currentPos = startingPos;
		
		if (currentPos.getCol() < Position.G)
		{
			if (currentPos.getRow() < 8)
			{	
				currentPos = new Position(currentPos.getCol() + 2, currentPos.getRow() + 1);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
			if (currentPos.getRow() > 1)
			{	
				currentPos = new Position(currentPos.getCol() + 2, currentPos.getRow() - 1);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
		}
		if (currentPos.getCol() > Position.B)
		{
			if (currentPos.getRow() < 8)
			{	
				currentPos = new Position(currentPos.getCol() - 2, currentPos.getRow() + 1);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
			if (currentPos.getRow() > 1)
			{	
				currentPos = new Position(currentPos.getCol() - 2, currentPos.getRow() - 1);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
		}
		if (currentPos.getRow() < 7)
		{
			if (currentPos.getCol() < Position.H)
			{	
				currentPos = new Position(currentPos.getCol() + 1, currentPos.getRow() + 2);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
			if (currentPos.getCol() > Position.A)
			{	
				currentPos = new Position(currentPos.getCol() - 1, currentPos.getRow() + 2);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
		}
		if (currentPos.getRow() > 2)
		{
			if (currentPos.getCol() < Position.H)
			{	
				currentPos = new Position(currentPos.getCol() + 1, currentPos.getRow() - 2);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
			if (currentPos.getCol() > Position.A)
			{	
				currentPos = new Position(currentPos.getCol() - 1, currentPos.getRow() - 2);
				attacked.addPosition(currentPos);
				currentPos = startingPos;
			}
		}
		currentPos = null;
		return attacked;
	}
}